Option | Description | Values | Default
--- | --- | --- | ---
packageName | Rust package name (convention: lowercase). |  | openapi
packageVersion | Rust package version. |  | 1.0.0
hideGenerationTimestamp | Hides the generation timestamp when files are generated. |  | true
library | library template (sub-template) to use. | hyper HTTP client: Hyper. reqwest HTTP client: Reqwest. | hyper

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
LocalDateTime | org.joda.time.*
Set | java.util.*
LocalTime | org.joda.time.*
HashMap | java.util.HashMap
ArrayList | java.util.ArrayList
URI | java.net.URI
Timestamp | java.sql.Timestamp
LocalDate | org.joda.time.*
BigDecimal | java.math.BigDecimal
Date | java.util.Date
DateTime | org.joda.time.*
Array | java.util.List
List | java.util.*
UUID | java.util.UUID
File | java.io.File
Map | java.util.Map

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- u8
- f32
- bool
- f64
- i64
- i32
- String
- i8
- i16
- u64
- Vec<u8>
- u32
- char
- u16
- File

##
RESERVED WORDS

- struct
- mod
- use
- extern
- do
- type
- while
- impl
- ref
- continue
- else
- loop
- trait
- let
- priv
- if
- static
- in
- sizeof
- enum
- as
- final
- true
- become
- virtual
- const
- fn
- for
- box
- pure
- unsafe
- mut
- yield
- offsetof
- where
- override
- typeof
- macro
- move
- proc
- alignof
- break
- false
- match
- abstract
- crate
- super
- self
- pub
- return
- unsized

Last updated on 1/9/2020